import * as ambassadorWixWorkflowsV1Card from './workflows-v1-card-cards.http.js';
export function listCards() {
    const payload = { workflowId: ':workflowId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.listCards(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/workflows/{workflowId}/cards',
        pathParams: { workflowId: 'workflowId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.getCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/cards/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.updateCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/cards/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function createCard() {
    const payload = { workflowId: ':workflowId', phaseId: ':phaseId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.createCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/workflows/{workflowId}/phases/{phaseId}/cards',
        pathParams: { workflowId: 'workflowId', phaseId: 'phaseId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.deleteCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/cards/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function moveCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.moveCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/cards/{id}/move',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function restoreCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.restoreCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/cards/{id}/restore',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function archiveCard() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Card.archiveCard(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/cards/{id}/archive',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=workflows-v1-card-cards.meta.js.map